using System.Collections.Generic;
using System.Linq;

namespace Jade.DataMining.Classifier
{
    public class Matrix
    {
        /// <summary>
        /// Ŀ 
        /// </summary>
        public int RowsCount { get; private set; }

        /// <summary>
        /// Ŀ ʣĿ
        /// </summary>
        public int ColsCount { get; private set; }

        /// <summary>
        /// ڼ¼ļĴĿ[0] = 0,[1] = [0]+ count(1),[2] = [1]+count(2)
        /// </summary>
        public List<int> Rows;

        /// <summary>
        /// ڼ¼idtermId)  RowsһԽĵֿ
        /// </summary>
        public List<int> Cols;

        /// <summary>
        /// colsһһӦ¼ƪtermĴ
        /// </summary>
        public List<int> Vals;

        /// <summary>
        /// ¼ÿƪµķ࣬RowӦ
        /// </summary>
        public List<int> Categories;
        public Matrix(List<int> rows, List<int> cols, List<int> vals, List<int> categories)
        {
            this.Rows = rows;
            this.Cols = cols;
            this.Vals = vals;
            this.Categories = categories;
            if (rows != null && rows.Count > 0)
                this.RowsCount = rows.Count - 1;
            if (cols != null && cols.Count > 0)
                this.ColsCount = cols.Max() + 1;
        }

        private List<string> featureWords;
        public List<string> FeatureWords
        {
            get
            {
                if (Cols != null)
                {
                    featureWords = new List<string>();
                    Cols.ForEach(col => featureWords.Add(GlobalInfo.Instance.IdToTerm[col]));
                }
                return featureWords;
            }
        }
    }
}