using System.Collections.Generic;
using System.Linq;

namespace Jade.DataMining.Classifier
{
    public class StopWordsHandler
    {
        private static string[] stopWordsList = { " ", "", "", "Ҫ", "Լ", "֮", "", "", "Ӧ", "", "ĳ", "", "", "", "λ", "", "һ", "", "", "", "", "", "" };
        public static bool IsStopWord(string word)
        {
            for (int i = 0; i < stopWordsList.Length; ++i)
            {
                if (word.IndexOf(stopWordsList[i]) != -1)
                    return true;
            }
            return false;
        }

        public static void RemoveStopWord(List<string> words)
        {
            words.RemoveAll(word => word.Trim() == string.Empty || stopWordsList.Contains(word));
        }

    }
}